<template>
    <div style="width: 100%">

        <div style="display: block;width: 95%;">
            <i-switch   v-model="value"></i-switch>
        </div>

    </div>
</template>

<script>
import * as components from './style';
import {PropertyMixin} from '../../service/main-tool-editor-type-mixin';
export default {
    components: {
        ...components
    },
    mixins: [PropertyMixin],
    position: 'mainToolEditorTypeBoolean',
    name: 'main-tool-editor-type-boolean',
    data () {
        return {
            value: this.editor.value||false
        };
    },
    mounted () {
        this.initCurrtField();
        this.setInstanceProps(this.value);
    },
    computed: {
        applicationState () {

            return this.$store.state.application;
        },
        viewportState () {
            return this.$store.state.viewport;
        }
    },
    methods: {
        handleChange () {

        }
    },
    watch: {
        value (n, o) {
            if (n === o) {
                return;
            }
            this.setInstanceProps(n);
        }
    }
};
</script>

<style scoped>
    .dMlWdm {
        /*width: 45px;*/
        /*float: left;*/
        /*text-align: left;*/
        /*padding: 5px 245px 5px 0;*/
    }
</style>
